%define compiler_src inform615_source.tar.gz
%define library_src inform_library67.tar.gz
%define examples_src examples.tar.gz
%define dman_src designers_manual_html.tar.gz

Summary: Inform 6: A Design System for Interactive Fiction
Name: inform
Version: 6.15
Release: 2
Group: Development/Languages
Vendor: Graham Nelson <graham@gnelson.demon.co.uk>
Copyright: Copyrighted, Freely Distributable
URL: http://www.gnelson.demon.co.uk/inform.html
Source0: %{compiler_src}
Source1: %{library_src}
Source2: %{examples_src}
Source3: %{dman_src}
Source4: inform-makefile
Patch0: inform-header.patch
Patch1: inform-includedir.patch
BuildRoot: /tmp/inform-root
Packager: Andrew Veliath <andrewtv@usa.net>

%changelog
* Sat Jun 6 1998 Andrew Veliath <andrewtv@usa.net>

	- fix gid/uid in examples

* Sat Mar 28 1998 Andrew Veliath <andrewtv@usa.net>

	- initial inform.spec version (note: needed to use unzip 5.12
	  to extract, RH5 stock unzip 5.31 couldn't, so converted
	  zip archives to gzipped tar format)

%description
Inform is an interactive fiction (IF) compiler by Graham Nelson which
can be used to create portable games similar to, and playable on the
same interpreters of the famous games of Infocom heritage.  Inform
generates p-code in the "Z-Machine" format, and the resultant games
are portable across any platform.  Package includes compiler, library,
example files and "The Designer's Manual" in HTML.

%prep
rm -rf inform
mkdir inform && cd inform
mkdir compiler library
tar xzf $RPM_SOURCE_DIR/%{compiler_src} -C compiler
tar xzf $RPM_SOURCE_DIR/%{library_src} -C library
tar xzf $RPM_SOURCE_DIR/%{examples_src}
tar xzf $RPM_SOURCE_DIR/%{dman_src}

cd compiler
mv Relnote ..
mkdir Include && mv header Include/header.h
cd Include
%patch0
%patch1
cd ..
for i in [a-z]*; do mv $i $i.c; done
cd ../library
chmod -x *
for i in *; do mv $i $i.h; done

%build
cd inform/compiler
make -f $RPM_SOURCE_DIR/inform-makefile CFLAGS="$RPM_OPT_FLAGS -IInclude -DINFORM_INCLUDE=\"\\\".,/usr/lib/inform\\\"\""

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT/usr/lib/inform
cd inform
install -s compiler/inform $RPM_BUILD_ROOT/usr/bin
install library/* $RPM_BUILD_ROOT/usr/lib/inform
cd $RPM_BUILD_ROOT/usr/lib/inform
ln -s English.h english.h
ln -s Grammar.h grammar.h
ln -s Parser.h parser.h
ln -s Verblib.h verblib.h
ln -s Verblib.h VerbLib.h

%clean
rm -rf $RPM_BUILD_ROOT

%files
%attr(-,root,root) %doc inform/Relnote inform/examples inform/dman
%attr(755,root,root) /usr/bin/inform
%attr(755,root,root) %dir /usr/lib/inform
%attr(644,root,root) /usr/lib/inform/*
